#!/bin/sh
# File: qsubHardCuts_gen1
# 
SCRIPT=/home/mweber/hades/digitizer/sh/runRealNoise_sep08.sh

JOBLIMIT=666

export NREVENTS=0;

export inputdir=/home/mweber/hld/
export outputdir=/home/mweber/richdigi/
export cfgfile=/home/mweber/hades/digitizer/cfg/richreal_sep08.cfg

FILELIST=/home/mweber/hades/digitizer/params/txt/sep08_realNoise_files.txt

filecnt=0;

for file in $(cat ${FILELIST}); do
    FILEARR[$filecnt]=$file
    let filecnt=filecnt+1;
done

i=0
while [ $i -lt $JOBLIMIT ]; do
    JOBID[$i]="NULL"
    i=$[i+1]
done

nrfiles=${#FILEARR[*]}
#nrfiles=10
filecnt=0;
nr=0;
i=0;

while [ $filecnt -lt $nrfiles ]; do

    export infile=${FILEARR[$filecnt]}

    if [ ${JOBID[$i]} != "NULL" ]; then
        LIMIT="-W depend=afterany:${JOBID[$i]}"
    else
        LIMIT=""
    fi

    jobname=${infile};
        
    JOBID[$i]=$(qsub  ${SCRIPT} ${LIMIT} -q farmq -l nodes=cpu -V -j oe -o ${outputdir}/out/job_${filecnt}.out)

   echo ${jobname}, $LIMIT
    
   let filecnt=filecnt+1;
   let i=i+1;
   if [ $i -ge $JOBLIMIT ]; then
       i=0
   fi
   sleep 0.1
   
done  


